Summary:        splatter-tux plymouth theme
Name:           plymouth-theme-splatter-tux
Version:        1.10
Release:        0%{?dist}
License:        MIT
BuildArch:      noarch
Requires:       plymouth-plugin-script
Source0:        https://github.com/gapophustu/%{name}/archive/%{name}-%{version}.tar.gz
Obsoletes:      splatter-tux
Obsoletes:      splatter-tux-small
%description

%pretrans -p <lua>
path = "/usr/share/plymouth/themes/splatter-tux-small"
st = posix.stat(path)
if st and st.type == "directory" then
  status = os.rename(path, path .. ".rpmmoved")
  if not status then
    suffix = 0
    while not status do
      suffix = suffix + 1
      status = os.rename(path .. ".rpmmoved", path .. ".rpmmoved." .. suffix)
    end
    os.rename(path, path .. ".rpmmoved")
  end
end

%prep
cp -a %{SOURCE0} .
tar -xvf %{name}-%{version}.tar.gz

%build

%install
mkdir -p %{buildroot}/usr/share/plymouth/themes/
cp -a %{name}-%{version}/splatter-tux %{buildroot}/usr/share/plymouth/themes/
cp -a %{name}-%{version}/splatter-tux-small %{buildroot}/usr/share/plymouth/themes/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
/usr/share/plymouth/themes/splatter-tux/
/usr/share/plymouth/themes/splatter-tux-small

%changelog
